import 'package:flutter/material.dart';
import 'package:flutter_kz_library/src/helpers/FunctionHelper.dart';

class CarouseSliderItemWidget extends StatelessWidget {
  final Widget child;
  final VoidCallback onTap;

  CarouseSliderItemWidget({this.child, this.onTap});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: FunctionHelper().screenWidth(context, 80),
      margin: EdgeInsets.symmetric(horizontal: 5.0),
      child: FlatButton(
        padding: EdgeInsets.all(0),
        onPressed: onTap,
        child: child,
      ),
    );
  }
}
