import 'dart:io';

import 'package:file_picker/file_picker.dart';

class FilePickerHelper {

  Future<File> singleAnyFile() async {
    return await FilePicker.getFile();
  }

  Future<String> singleAnyFilePath() async {
    return await FilePicker.getFilePath();
  }

  Future<List<File>> multipleAnyFile() async {
    return await FilePicker.getMultiFile();
  }

  Future<Map<String, String>> multipleAnyFilePath() async {
    return await FilePicker.getMultiFilePath();
  }

  Future<File> singleImageFile() async {
    return await FilePicker.getFile(type: FileType.image);
  }

  Future<String> singleImageFilePath() async {
    return await FilePicker.getFilePath(type: FileType.image);
  }

  Future<List<File>> multipleImageFile() async {
    return await FilePicker.getMultiFile(type: FileType.image);
  }

  Future<Map<String, String>> multipleImageFilePath() async {
    return await FilePicker.getMultiFilePath(type: FileType.image);
  }
}
