import 'package:flutter/material.dart';
import 'package:flutter_form_builder/flutter_form_builder.dart';

class FormWidget extends StatelessWidget {
  final GlobalKey<FormBuilderState> _fbKey = GlobalKey<FormBuilderState>();

  final Map<String, dynamic> initialValue;
  final bool autoValidate;
  final List<Widget> bodyForm;

  FormWidget({this.initialValue, this.autoValidate, this.bodyForm});

  @override
  Widget build(BuildContext context) {
    return FormBuilder(
      key: _fbKey,
      initialValue: initialValue,
      autovalidate: autoValidate,
      child: ListView(
        padding: EdgeInsets.only(left: 8, right: 8),
        children: bodyForm,
      ),
    );
  }
}
